<!-- Define la función para mostrar profesor -->
{% macro show_professor(professor) %}
<tr>
  <td>{{professor.id}}</td>
  <td>{{professor.firstname}}</td>
  <td>{{professor.lastname}}</td>
  <td>{{professor.email}}</td>
  <td>
    <a type="button" href="{{url_for('professor.view',id=professor.id)}}" class="btn btn-success">View</a>
    <a type="button" href="{{url_for('project.index',professorId=professor.id)}}" class="btn btn-success">View Projects</a>
  </td>
</tr>
{% endmacro %}

{% macro show_project(project) %}
<tr>
  <td>{{project.id}}</td>
  <td>{{project.name}}</td>
  <td>{{project.year}}</td>
  <td>{{project.professor.firstname}} {{project.professor.lastname}}</td>

</tr>
{% endmacro %}
